apiVersion: kueue.openshift.io/v1
kind: Kueue
metadata:
  annotations:
    platform.opendatahub.io/instance.generation: '2'
    platform.opendatahub.io/instance.name: default-kueue
    platform.opendatahub.io/instance.uid: 5f1279c4-83fa-42b2-bbda-7e0eca691166
    platform.opendatahub.io/type: OpenShift AI Self-Managed
    platform.opendatahub.io/version: 2.25.2
  resourceVersion: '6884628'
  name: cluster
  uid: 627a4735-7ec4-4968-a530-2dbb709e3c6d
  creationTimestamp: '2026-02-18T10:00:49Z'
  generation: 1
  managedFields:
    - apiVersion: kueue.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"Available"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Degraded"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Progressing"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
      manager: kueue-operator
      operation: Apply
      subresource: status
      time: '2026-02-24T15:15:20Z'
    - apiVersion: kueue.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:platform.opendatahub.io/instance.generation': {}
            'f:platform.opendatahub.io/instance.name': {}
            'f:platform.opendatahub.io/instance.uid': {}
            'f:platform.opendatahub.io/type': {}
            'f:platform.opendatahub.io/version': {}
          'f:labels':
            .: {}
            'f:platform.opendatahub.io/part-of': {}
        'f:spec':
          .: {}
          'f:config':
            .: {}
            'f:integrations':
              .: {}
              'f:frameworks':
                .: {}
                'v:"Deployment"': {}
                'v:"Pod"': {}
                'v:"PyTorchJob"': {}
                'v:"RayCluster"': {}
                'v:"RayJob"': {}
                'v:"StatefulSet"': {}
          'f:logLevel': {}
          'f:managementState': {}
          'f:operatorLogLevel': {}
      manager: manager
      operation: Update
      time: '2026-02-18T10:00:49Z'
    - apiVersion: kueue.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"kueue.openshift.io/finalizer"': {}
      manager: kueue-operator
      operation: Update
      time: '2026-02-18T10:16:38Z'
  finalizers:
    - kueue.openshift.io/finalizer
  labels:
    platform.opendatahub.io/part-of: kueue
spec:
  config:
    integrations:
      frameworks:
        - Deployment
        - Pod
        - PyTorchJob
        - RayCluster
        - RayJob
        - StatefulSet
  logLevel: Normal
  managementState: Managed
  operatorLogLevel: Normal
status:
  conditions:
    - lastTransitionTime: '2026-02-24T15:15:17Z'
      message: cert-manager is required but not installed
      reason: MissingDependency
      status: 'False'
      type: Available
    - lastTransitionTime: '2026-02-18T10:18:09Z'
      message: waiting for cert-manager to be installed
      reason: MissingDependency
      status: 'False'
      type: Progressing
    - lastTransitionTime: '2026-02-24T15:15:17Z'
      message: please make sure that cert-manager is installed on your cluster
      reason: MissingDependency
      status: 'True'
      type: Degraded
